@charset "utf-8";

figure {
	margin: 2em auto;
	width: 98%;
}

figure img {
	width: 100%
}

.aufgabe li figure {
	margin-top: 1em;
	margin-bottom: 1.25em;
}

.aufgabentext figure {
	width: 100%;
}

figcaption {
	font-size: small;
	margin-top: 0.4em;
	margin-left: 1em;
	text-align: left;
}

.kasten {	
	background-color: #CCFF99; /*#99FF00; */
	box-shadow: 1px 1px 15px #999999;
	/* border:2px outset #dfdfdf; */
	padding: 1em 1em;
	text-align: justify;
	
	-webkit-border-radius: 10px;
    -khtml-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
	
}

.kasten.bild {
	padding: 8px;
}	

.kasten.spalten > div {			/*div in einem .kasten*/
	display:inline-block;
	vertical-align: top;
	text-align:left;
	margin-left: 1%;
	margin-right: 1%; 
/* 	background-color: red; */
}

.kasten.merke {
	background-color: #FFF3B2; /*#FFE599; helles orange*/
}

/* Codekasten */
	figure.quelltext {
		max-width: 560px;
	}
	
	.kasten.merke figure.quelltext, .beispiel figure.quelltext{
		margin-top: 1em;
	}
	
/* 	.kasten.merke figure.quelltext > .kasten {
		background-color: #FFF3B2;
		box-shadow: none;
	} */
	
	div.codekasten_beschriftung{
		display: block;
		float: right;
		border-style: outset;
		border-width: 1px;
		border-radius: 5px;
		margin-right: 0.5em;
		padding: 0.20em 0.5em;
		background-color: white;
		font-family: "Courier New", monospace;
		font-size: 11pt;
		font-weight: bold;
		position: relative;
		top: 3px;
		right: 3px;
		z-index: 0;
	}
	
	.codekasten {
		margin: 0.75em 0.5em;
/* 		line-height: 1.5em; */
		border-style: solid;
		border-width: 1px;
		padding: 0.5em 0.75em;
		font-family: "Courier New", monospace;
/* 		color: #0335BF;  */
		font-size: 11pt;
		border-color: black;
		background-color: white;
		clear: both;
		position: relative;
		z-index: 1;	 
		text-align: left;
		white-space:nowrap;
		overflow:auto;
		display:block;
	}
	
	.kasten .codekasten p{
		margin:0;
		text-align: left;
	}
	
	
	/* Codekasten mit Zeilennummern */
		div.div_codekasten_zeilennr_beschriftung {
			text-align:right;
		}
		
		div.div_codekasten_zeilennr_beschriftung .codekasten_beschriftung {
			float:none; 
			display: inline-block; 
			right:-4px;
			margin-bottom:0;
		}
		
		.div_codekasten_zeilennr  {
			display: flex;
			width:100%;
		}
				
		.div_codekasten_zeilennr .codekasten {
			display:inline-block;
			margin:0;
			line-height: 1.5em;
		}		
		
		.div_codekasten_zeilennr .codekasten:nth-child(2) {
			width:100%;
			max-width:100%;
		}
		
		.div_codekasten_zeilennr .codekasten:first-child {
			background-color:lightgray;
			text-align:center;
		}
	/******************/
/******************/

.rundeEcken {
/*     -webkit-border-radius: 10px;
    -khtml-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px; */
}

figure h5 {
	margin-top: 0.5em;
	margin-bottom: 0.5em;
}

/* figure p {
	margin-top: 0.2em;
	margin-bottom: 0.25em;
} */

.kasten p {
	margin-top: 0.5em; /*0.2em;*/
	margin-bottom: 0.5em; /*0.25em;*/
}

.kasten p.abstand_unten_1 {
	margin-bottom: 1em;
}

.kasten p:first-child {
	margin-top:0;
}

/* .kasten p:last-child, .kasten kasten:last-child, .kasten figure:last-child {
	margin-bottom:0;
} */

.kasten p:last-child, .kasten kasten:last-child {
	margin-bottom:0;
}

figure table {
	margin-top: 0.75em;
	margin-bottom: 0.75em;
}

@media only screen and (min-device-width : 320px) and (max-device-width : 600px), only screen and (max-width:600px) {
	.kasten {
		padding: 0.25em 0.5em;
	}
	
	figcaption {
		font-size: smaller;
	}
	
	.codekasten {
		font-size: smaller;
	}
}